<div id="basic-info p-6">
  <div class="p-6 bg-white rounded-lg max-w-2xl">
    <p class="text-lg font-semibold text-neutral-900 mb-0">
      Payment Method Settings
    </p>
    <p class="text-sm mb-0">
      Accept payments on your store using third-party providers such as PayPal
      or other payment methods.
    </p>
    <!-- <div class="d-flex items-center justify-between my-6">
            <span class="font-semibold text-sm">US Address Form</span>
            <v-switch inset class="mt-0 mb-1" v-model="isActive" hide-details x-large>
            </v-switch>
        </div>
        <v-divider></v-divider> -->
    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      type="card"
      v-if="loadingTable"
    >
    </v-skeleton-loader>
    <div v-else>
      <div v-for="(payment, i) in listPayment" :key="i">
        <div class="d-flex items-center justify-between my-6">
          <div class="d-flex items-center w-9 h-9 gap-2">
            <img
              src="~/assets/images/logos_paypal.svg"
              alt=""
              class="w-full h-full object-scale-down"
              v-if="payment.type === 'paypal'"
            />
            <img
              src="~/assets/images/bi_stripe.svg"
              alt=""
              class="w-full h-full object-scale-down"
              v-if="payment.type === 'stripe'"
            />
            <span class="font-semibold text-sm"
              >{{payment && payment.paymentId && payment.paymentId.name}}</span
            >
          </div>
          <v-switch
            inset
            class="mt-0 mb-1"
            hide-details
            x-large
            v-model="payment.isOpenPaypalCard"
            @change="onTogglePaypalCard(payment)"
            v-if="payment.type === 'paypal'"
            label="Card Paypal"
          >
          </v-switch>
          <v-switch
            inset
            class="mt-0 mb-1"
            hide-details
            x-large
            v-model="payment.status"
            @change="onTogglePayment(payment)"
          >
          </v-switch>
        </div>
        <v-divider v-if="i === 0"></v-divider>
      </div>
    </div>
  </div>
</div>
